Please sync rrdtool 1.3.1-4 (main) from Debian unstable (main).

Bug #300483 reported by James Westby on 2008-11-20
4
Affects Status Importance Assigned to Milestone
rrdtool (Ubuntu)
Wishlist
Unassigned

Bug Description

-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

 affects ubuntu/rrdtool
 status new
 importance wishlist
 subscribe ubuntu-main-sponsors

Please sync rrdtool 1.3.1-4 (main) from Debian unstable (main).

Explanation of the Ubuntu delta and why it can be dropped:
The Ubuntu delta was a cherry-pick of a patch from Debian, so
we can safely sync.

Changelog since current jaunty version 1.2.27-2ubuntu1:

rrdtool (1.3.1-4) unstable; urgency=high

  * Urgency set to high because of the fix for #499350.
  * debian/patches:
    - Added upstream patch bts499350-data-corruption (upstream SVN r1480) to
      fix data corruption when updating multiple values in one go
      (Closes: #499350).
      (upstream bug #178 - http://oss.oetiker.ch/rrdtool-trac/ticket/178)
    - Added bts498183-segfault-madvise to fix a segfault on sparc caused by a
      wrong argument passed to madvise(2) - thanks to Jurij Smakov for
      valuable debugging information (Closes: #498183).
    - Added upstream patch bts496847-error-handling (upstream SVN r1471) to
      fix error handling of syscalls in rrdtool(1) (Closes: #496847).
    - Added upstream patch bts499349-memleaks (upstream SVN r1465, r1467,
      r1468, r1469, r1470, r1473) to fix a couple of memory leaks in rrdtool,
      librrd and the Perl and Ruby bindings (Closes: #499349).
    - Added trivial upstream patch typo-ruby (upstream SVN r1462) to fix a
      typo in the Ruby bindings.
  * debian/NEWS:
    - Added. Documented the changes required by the switch to libpango
      (Closes: #493575, #493594).

 -- Sebastian Harl <email address hidden> Fri, 26 Sep 2008 01:41:05 +0200

rrdtool (1.3.1-3) unstable; urgency=low

  * Added "libxml2-dev" to librrd-dev's dependencies (Closes: #493342).
  * debian/patches:
    - Added bts493553-pango-utf-8 to try to make sure an UTF-8 string is
      passed to pango_layout_set_{text,markup}() as required by libpango
      (Closes: #493553).

 -- Sebastian Harl <email address hidden> Mon, 04 Aug 2008 15:57:26 +0200

rrdtool (1.3.1-2) unstable; urgency=low

  * Reupload to unstable - thanks to Marc 'HE' Brockschmidt for the approval.
  * debian/patches:
    - Removed bts428780-validate-row-count - this is included in upstream
      version 1.3.
  * debian/control:
    - librrd-dev provides and replaces librrd2-dev to ease the transition.

 -- Sebastian Harl <email address hidden> Wed, 30 Jul 2008 11:44:53 +0200

rrdtool (1.3.1-1) experimental; urgency=low

  * New upstream release.

 -- Sebastian Harl <email address hidden> Wed, 23 Jul 2008 21:44:45 +0200

rrdtool (1.3.0-1) experimental; urgency=low

  [ Sebastian Harl ]
  * New upstream release.
    - Fixes a buffer overflow in librrd's error handling (Closes: #450578).
    - Validate RRA row count in rrdcreate (Closes: #428780).
  * Upload to experimental because of the required transition which has not
    yet been granted for Lenny by the release team.
  * debian/patches:
    - Updated patches to apply on 1.3.0.
    - "implicit-decl-fix" partly applied upstream
    - "typos" removed, has been applied upstream
  * debian/control:
    - Replaced librrd2 / librrd2-dev with librrd4 / librrd-dev.
    - Removed SONAME version from the -dev package name.
    - Added "ttf-dejavu | ttf-bitstream-vera" recommendation to librrd4 -
      upstream no longer ships DejaVuSansMono-Roman.ttf.
    - Replaced "libart-2.0-dev" with "libcairo2-dev, libpango1.0-dev" in the
      build dependencies and librrd-dev's dependencies following the switch
      made by upstream.
    - Added "libxml2-dev" to the build dependencies.
    - Updated standards-version to 3.8.0 - no changes.
    - No longer conflict / replace librrd0 and librrd0-dev - librrd0 is no
      longer available since Etch.
    - Added libc6-dev | libc-dev to librrd-dev's dependencies.
  * debian/librrd4.symbols:
    - Added symbols file for the new SONAME version number replacing
      librrd2.symbols.
  * debian/rules:
    - Install "NEWS" and "CHANGES" into all packages.
    - No longer set TCL_INC_DIR manually - has been fixed upstream.

  [ Bernd Zeimetz ]
  * debian/rules:
    - Adding an option to point configure to the right path to tcl. This is
      not needed for Lenny, but we also add it here to make coming backports
      more simple.

 -- Sebastian Harl <email address hidden> Sun, 15 Jun 2008 14:09:47 +0200

rrdtool (1.2.28-1) unstable; urgency=low

  [ Sebastian Harl ]
  * New upstream release.
    - Fixes a buffer overflow in librrd's error handling (Closes: #450578).
  * debian/control:
    - Updated standards-version to 3.8.0 - no changes.
    - No longer conflict / replace librrd0 and librrd0-dev - librrd0 is no
      longer available since Etch.
    - Added libc6-dev | libc-dev to librrd2-dev's dependencies.
  * debian/patches:
    - Added backported upstream patch bts428780-validate-row-count to validate
      the RRA row count in rrdcreate (Closes: #428780).
  * debian/librrd2.symbols:
    - Added the private symbol "rra_random_row@Base 1.2.28-1".
  * debian/rules:
    - Install "NEWS" and "CHANGES" into all packages.

  [ Bernd Zeimetz ]
  * debian/rules:
    - Adding an option to point configure to the right path to tcl. This is
      not needed for Lenny, but we also add it here to make coming backports
      more simple.
  * debian/patches/implicit-decl-fix:
    - Patching the implicit declaration in rrd_update.c in a nicer way.

 -- Sebastian Harl <email address hidden> Wed, 23 Jul 2008 21:01:04 +0200

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.9 (GNU/Linux)

iEYEARECAAYFAkkl5x4ACgkQRej+37V3/hM+HACgkA6P8xmgaAwkgvxYStpQbv5a
JJgAnjaznNcgOII7kdNRh1C0nTWkAB0f
=efjf
-----END PGP SIGNATURE-----

Steve Langasek (vorlon) wrote :

[Updating] rrdtool (1.2.27-2ubuntu2 [Ubuntu] < 1.3.1-4 [Debian])
 * Trying to add rrdtool...
  - <rrdtool_1.3.1-4.dsc: downloading from http://ftp.debian.org/debian/>
  - <rrdtool_1.3.1.orig.tar.gz: downloading from http://ftp.debian.org/debian/>
  - <rrdtool_1.3.1-4.diff.gz: downloading from http://ftp.debian.org/debian/>
I: rrdtool [main] -> rrdtool_1.2.27-2ubuntu2 [main].
I: rrdtool [main] -> librrds-perl_1.2.27-2ubuntu2 [main].
I: rrdtool [main] -> librrdp-perl_1.2.27-2ubuntu2 [universe].
I: rrdtool [main] -> rrdtool-tcl_1.2.27-2ubuntu2 [universe].
I: rrdtool [main] -> python-rrdtool_1.2.27-2ubuntu2 [universe].
I: rrdtool [main] -> python-rrd_1.2.27-2ubuntu2 [universe].
I: rrdtool [main] -> librrd-ruby_1.2.27-2ubuntu2 [universe].
I: rrdtool [main] -> librrd-ruby1.8_1.2.27-2ubuntu2 [universe].
I: rrdtool [main] -> librrd-ruby1.9_1.2.27-2ubuntu2 [universe].

Changed in rrdtool:
status: New → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers